## ros-indigo-baxter-examples 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(baxter_examples)

find_package(catkin
  REQUIRED
  COMPONENTS
  rospy
  xacro
  actionlib
  sensor_msgs
  control_msgs
  trajectory_msgs
  cv_bridge
  dynamic_reconfigure
  baxter_core_msgs
  baxter_interface
)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/JointSpringsExample.cfg
)

catkin_package(
  CATKIN_DEPENDS
  rospy
  xacro
  actionlib
  sensor_msgs
  control_msgs
  trajectory_msgs
  cv_bridge
  dynamic_reconfigure
  baxter_core_msgs
  baxter_interface
)

install(
  DIRECTORY scripts/
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(
  DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  USE_SOURCE_PERMISSIONS
)

install(
  DIRECTORY share/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/share
  USE_SOURCE_PERMISSIONS
)

=== debian/changelog ===
ros-indigo-baxter-examples (1.2.0-0trusty) trusty; urgency=high

  * Added a URDF Fragment publishing example to demonstrate URDF additions to a Real Baxter
  * The head_pan speed range has been changed to [0, 1.0]. Updated the examples & head action client accordingly
  * Updated Digtial IO example to use the new light names for the navigator
  * Remapped Joy stick example's Logitech controller to be similar to the Xbox controls
  * Fixed a bug causing Gripper timing to lag in the joint playback example

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Mon, 21 Dec 2015 05:00:00 -0000

ros-indigo-baxter-examples (1.1.1-0trusty) trusty; urgency=high

  * Added a calculation to increase the amount of time allowed to move arm to the
    initial pose of joint_trajectory_playback
  * Fixed an issue in syncing gripper playback with joint_trajectory_playback arm execution
  * Fixed a timing issue preventing joint_trajectory_playback from completing execution
  * Removed incorrect internal tag for baxterworking.png

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Fri, 15 May 2015 04:00:00 -0000

ros-indigo-baxter-examples (1.1.0-0trusty) trusty; urgency=high

  * Updates baxter_examples to ROS Indigo
  * Updates xdisplay_image to properly publish images with opencv2
  * Updates joint_trajectory_client to have a goal tolerance, and supplies current joint angles at time 0.0
  * Updates joint_trajectory_file_playback to wait for the joint trajectory action server for 10.0 seconds
  * Adds head_action_client example program

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Fri, 02 Jan 2015 05:00:00 -0000

ros-indigo-baxter-examples (1.0.0-0trusty) trusty; urgency=high

  * Adds joint_position_waypoints example program
  * Updates ik_service_client to validate unpacked results and seed types
  * Updates gripper_cuff_control to automatically calibrate on gripper type change
  * Updates navigator_io to use navigator wheel_changed signal
  * Updates all examples to verify robot software version by default when enabling
  * Updates all examples using gripper to verify gripper firmware version
  * Updates joint_recorder to record at 100Hz
  * Updates joint_velocity_wobbler to run at 500Hz

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Thu, 01 May 2014 04:00:00 -0000

ros-indigo-baxter-examples (0.7.0-0trusty) trusty; urgency=high

  * Creation of baxter_examples repository from sdk-examples/examples.
  * Adds joint torque springs examples.
  * Adds gripper cuff control example.
  * Adds gripper action client example.
  * Package restructure in support of Catkin expected standards.
  * Adds launch files for examples using action servers or the joystick.
  * Adds gripper position playback to joint trajectory file playback example.
  * Removes camera_control example, now located in baxter_tools repository.
  * Removes getch usage as means of exiting example programs (latency).
  * Fixes joint position file playback looping. Loops now start at correct playback start.
  * Fixes head movement during exit of wobbler example.
  * Adds timeouts to action client's wait_for calls making sure the action servers are running.
  * Fixes D-Pad mapping for ps3 joysticks.
  * Adds success verification for result of joint trajectory file playback.

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Thu, 21 Nov 2013 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-baxter-examples
Section: misc
Priority: extra
Maintainer: Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-baxter-core-msgs, ros-indigo-baxter-interface, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-trajectory-msgs, ros-indigo-xacro
Homepage: http://sdk.rethinkrobotics.com
Standards-Version: 3.9.2

Package: ros-indigo-baxter-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-baxter-core-msgs, ros-indigo-baxter-interface, ros-indigo-control-msgs, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-trajectory-msgs, ros-indigo-xacro
Description: Example programs for Baxter SDK usage.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-baxter-examples//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
